Issues with roundcube

Discussion in 'Installation/Configuration' started by Hbod, Feb 2, 2020.

  1. Hbod

    Hbod Member

    Hey everybody,

    roundcube stopped working for me - out of nowhere. I purged it, reconfigured it, completely deleted it, but whatever I do, when I try installing it using the perfect server setup, it always end up like this:

    Code:
    Die folgenden NEUEN Pakete werden installiert:
      roundcube roundcube-core roundcube-mysql roundcube-plugins
    0 aktualisiert, 4 neu installiert, 0 zu entfernen und 6 nicht aktualisiert.
    Es müssen noch 0 B von 2.847 kB an Archiven heruntergeladen werden.
    Nach dieser Operation werden 17,3 MB Plattenplatz zusätzlich benutzt.
    Vorkonfiguration der Pakete ...
    Vormals nicht ausgewähltes Paket roundcube-mysql wird gewählt.
    (Lese Datenbank ... 104487 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../roundcube-mysql_1.2.3+dfsg.1-4+deb9u3_all.deb ...
    Entpacken von roundcube-mysql (1.2.3+dfsg.1-4+deb9u3) ...
    Vormals nicht ausgewähltes Paket roundcube-core wird gewählt.
    Vorbereitung zum Entpacken von .../roundcube-core_1.2.3+dfsg.1-4+deb9u3_all.deb ...
    Entpacken von roundcube-core (1.2.3+dfsg.1-4+deb9u3) ...
    Vormals nicht ausgewähltes Paket roundcube wird gewählt.
    Vorbereitung zum Entpacken von .../roundcube_1.2.3+dfsg.1-4+deb9u3_all.deb ...
    Entpacken von roundcube (1.2.3+dfsg.1-4+deb9u3) ...
    Vormals nicht ausgewähltes Paket roundcube-plugins wird gewählt.
    Vorbereitung zum Entpacken von .../roundcube-plugins_1.2.3+dfsg.1-4+deb9u3_all.deb ...
    Entpacken von roundcube-plugins (1.2.3+dfsg.1-4+deb9u3) ...
    roundcube-mysql (1.2.3+dfsg.1-4+deb9u3) wird eingerichtet ...
    roundcube-core (1.2.3+dfsg.1-4+deb9u3) wird eingerichtet ...
    dbconfig-common: writing config to /etc/dbconfig-common/roundcube.conf
    
    Creating config file /etc/dbconfig-common/roundcube.conf with new version
    
    Creating config file /etc/roundcube/debian-db.php with new version
    dbconfig-common: flushing administrative password
    dpkg: Fehler beim Bearbeiten des Paketes roundcube-core (--configure):
     Unterprozess installiertes post-installation-Skript gab den Fehlerwert 10 zurück
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von roundcube-plugins:
     roundcube-plugins hängt ab von roundcube-core (= 1.2.3+dfsg.1-4+deb9u3); aber:
      Paket roundcube-core ist noch nicht konfiguriert.
    
    dpkg: Fehler beim Bearbeiten des Paketes roundcube-plugins (--configure):
     Abhängigkeitsprobleme - verbleibt unkonfiguriert
    dpkg: Abhängigkeitsprobleme verhindern Konfiguration von roundcube:
     roundcube hängt ab von roundcube-core (= 1.2.3+dfsg.1-4+deb9u3); aber:
      Paket roundcube-core ist noch nicht konfiguriert.
    
    dpkg: Fehler beim Bearbeiten des Paketes roundcube (--configure):
     Abhängigkeitsprobleme - verbleibt unkonfiguriert
    Fehler traten auf beim Bearbeiten von:
     roundcube-core
     roundcube-plugins
     roundcube
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Can anybody help me?
    I tried:

    apt-get update
    dpkg-reconfigure roundcube-core
    apt-get install roundcube-core
    apt-get install --fix-missing

    and

    apt-get remove roundcube*
    apt-get install roundcube roundcube-core roundcube-mysql roundcube-plugins

    and

    sudo dpkg --remove --force-remove-reinstreq roundcube
    sudo dpkg --remove --force-remove-reinstreq roundcube-plugins
    sudo dpkg --remove --force-remove-reinstreq roundcube-core

    + --purge option afterwards

    Some data: Debian Stretch, MariaDB 10.2, ISPConfig: latest version
     
    Last edited: Feb 2, 2020
  2. Steini86

    Steini86 Active Member

    apt purge roundcube*
    and then reinstall should work. Keep in mind, that this will remove all config files.
    In any case, I would recommend to purge all the roundcube packages and install roundcube from https://github.com/roundcube/roundcubemail/wiki/Installation
    You can use the same database credentials than now.
    This will also give you much nicer looking Version (1.4 instead of 1.2.3).
    The official LTS version would be 1.2.9. Your Debian packages are heavily outdated.

    Actually, this does not sound like a problem that is solved by reinstalling roundcube. But without a proper error message there is no chance to help you.

    Good luck!
     
  3. Hbod

    Hbod Member

    I don't want to sound harsh Steini, but you should really read the post first. I already did everything possible known to me, including reinstalling, fixing, purging, removing.
     
  4. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    If apt purge does not remove the conflicting roundcube packages, I guess there are additional repositories in /etc/apt/sources.list or /etc/apt/sources.list.d/. What are those?
    What shows command
    Code:
    apt-cache policy roundcube
     
  5. Steini86

    Steini86 Active Member

    I can understand that you are upset that everything you tried does not work. If you want help for free, you should be more polite, even if the answer does not satisfy you.
    There are always 3 options:
    1) Be nice
    2) Pay
    3) Figure it out by yourself

    In fact, I have read your post and I have shown you a solution where you can install the recent stable version instead of Stretch version from Nov. 2016. Even if that is not related to your problem, there is a reason why this version is no longer supported.
    Anyway: such an error came in the past when using roundcube with sqlite and then switching to mysql (now you are installing roundcube-mysql, have you used rc with sqlite before?). Probably after purging, there er still files left in /etc/roundcube. You should get rid of all the installed roundcube things and start from scratch. This will remove your roundcube config files. After purging, delete the folders (if still existing):
    /etc/roundcube
    /usr/share/dbconfig-common/data/roundcube
    /usr/share/roundcube
    /var/lib/roundcube
    /usr/share/bug/roundcube-*

    I still believe that your problem will not go away by simple reinstalling. You probably have to change your config or it is caused by your mailserver (for example, because your ancient
     
  6. Hbod

    Hbod Member

    @Taleman

    Code:
    roundcube:
      Installiert:           (keine)
      Installationskandidat: 1.2.3+dfsg.1-4+deb9u3
      Versionstabelle:
         1.2.3+dfsg.1-4+deb9u3 500
            500 http://mirror.hetzner.de/debian/packages stretch/main amd64 Packages
            500 http://http.debian.net/debian stretch/main amd64 Packages
            500 http://security.debian.org stretch/updates/main amd64 Packages
    @Steini86 i was polite, but recommending things that I've already done isn't helpful at all. A manual install is something I might consider if the "normal" way fails. I've spent 5 hours on this issue before I've reached out for help. I'll retry the other recommendations. Never used sqlite.
     

Share This Page